{ pkgs, config, ...}: {
  services.restic.backups = {
    daily = {
      initialize = true;

      environmentFile = config.age.secrets."restic/env".path;
      passwordFile = config.age.secrets."restic/password".path;
      repository = "s3:https://s3.amazonaws.com/matricxbackups";

      paths = [
        "${config.users.users.sezycei.home}/srv"
        "${config.users.users.sezycei.home}/nix"
        "${config.users.users.sezycei.home}/keys"
        "${config.users.users.sezycei.home}/dev"
      ];
      
      exclude = [
        "*minecraft/OLD*"
      ];

      pruneOpts = [
        "--keep-daily 7"
        "--keep-weekly 5"
        "--keep-monthly 12"
      ];
    };
  };
}
